Announcement Announcement Module
Collapse
No announcement yet.
BeanDefinitionParser error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • BeanDefinitionParser error

    i don't have any compilation error but when i start the server, i get
    java.lang.IllegalArgumentException: Cannot locate BeanDefinitionParser for element [annotation-config].


    i have checked for conflict in jars.. these are the jar files i have...
    /src/main/webapp/WEB-INF/lib/activation.jar
    /src/main/webapp/WEB-INF/lib/annotations-api-6.0.18.jar
    /src/main/webapp/WEB-INF/lib/apache-axiom-dom-1.2.7.jar
    /src/main/webapp/WEB-INF/lib/axis2-1.0.jar
    /src/main/webapp/WEB-INF/lib/castor-1.0.jar
    /src/main/webapp/WEB-INF/lib/commons-discovery-0.2.jar
    /src/main/webapp/WEB-INF/lib/commons-httpclient-2.0.1.jar
    /src/main/webapp/WEB-INF/lib/commons-httpclient-3.0.1.jar
    /src/main/webapp/WEB-INF/lib/commons-logging.jar
    /src/main/webapp/WEB-INF/lib/jaxb-api-2.1-osgi.jar
    /src/main/webapp/WEB-INF/lib/jaxb-xjc-2.1.9-osgi.jar
    /src/main/webapp/WEB-INF/lib/jaxrpc.jar
    /src/main/webapp/WEB-INF/lib/log4j-1.2.9.jar
    /src/main/webapp/WEB-INF/lib/saaj.jar
    /src/main/webapp/WEB-INF/lib/servlet-2.3.jar
    /src/main/webapp/WEB-INF/lib/spring-2.0-m2.jar
    /src/main/webapp/WEB-INF/lib/spring-beans-2.0.4.jar
    /src/main/webapp/WEB-INF/lib/spring-integration-core-2.0.3.RELEASE.jar
    /src/main/webapp/WEB-INF/lib/spring-integration-stream-2.0.3.RELEASE.jar
    /src/main/webapp/WEB-INF/lib/spring-integration-ws-2.0.3.RELEASE.jar
    /src/main/webapp/WEB-INF/lib/spring-oxm-tiger-1.0-m2.jar
    /src/main/webapp/WEB-INF/lib/spring-webmvc.jar
    /src/main/webapp/WEB-INF/lib/spring-ws-core-2.0.0.RELEASE.jar
    /src/main/webapp/WEB-INF/lib/spring-xml-1.5.4.jar
    /src/main/webapp/WEB-INF/lib/wsdl4j.jar

  • #2
    For starters don't mix versions.

    You are mixing spring 2.0 mileston3 with 2.0.4. You are mixing spring ws 1.0 milestone 2, spring ws 1.5.4 and spring ws 2.0.0 ... So not sure what you are expecting...

    I suggest use maven or ant/ivy to manage your dependencies saves you a lot of headaches.. But for now, cleanup your versions.

    Comment


    • #3
      version conflict

      hi I'm new to spring.I am also facing same problem.these are the list of jars I have in my project.can someone tel whr exactly the version conflict is and which versions should we use bcoz same versions are not available for all jars.......



      /src/main/webapp/WEB-INF/lib/activation.jar
      /src/main/webapp/WEB-INF/lib/annotations-api-6.0.20.jar
      /src/main/webapp/WEB-INF/lib/apache-axiom-dom-1.2.7.jar
      /src/main/webapp/WEB-INF/lib/axis.jar
      /src/main/webapp/WEB-INF/lib/axis2-1.0.jar
      /src/main/webapp/WEB-INF/lib/castor-1.0.jar
      /src/main/webapp/WEB-INF/lib/commons-discovery-0.2.jar
      /src/main/webapp/WEB-INF/lib/commons-httpclient-2.0.1.jar
      /src/main/webapp/WEB-INF/lib/commons-httpclient-3.0.1.jar
      /src/main/webapp/WEB-INF/lib/commons-logging.jar
      /src/main/webapp/WEB-INF/lib/jaxb-api-2.1-osgi.jar
      /src/main/webapp/WEB-INF/lib/jaxb-xjc-2.1.9-osgi.jar
      /src/main/webapp/WEB-INF/lib/jaxrpc.jar
      /src/main/webapp/WEB-INF/lib/log4j-1.2.9.jar
      /src/main/webapp/WEB-INF/lib/saaj.jar
      /src/main/webapp/WEB-INF/lib/servlet-2.3.jar
      /src/main/webapp/WEB-INF/lib/spring-2.0-m2.jar
      /src/main/webapp/WEB-INF/lib/spring-2.5.6.jar
      /src/main/webapp/WEB-INF/lib/spring-integration-core-1.0.2.RELEASE.jar
      /src/main/webapp/WEB-INF/lib/spring-integration-core-1.0.3.RELEASE-sources.jar
      /src/main/webapp/WEB-INF/lib/spring-integration-core-2.0.3.RELEASE.jar
      /src/main/webapp/WEB-INF/lib/spring-integration-stream-2.0.3.RELEASE.jar
      /src/main/webapp/WEB-INF/lib/spring-integration-ws-2.0.3.RELEASE.jar
      /src/main/webapp/WEB-INF/lib/spring-oxm-tiger-1.0-m2.jar
      /src/main/webapp/WEB-INF/lib/spring-ws-core-1.5.8.jar
      /src/main/webapp/WEB-INF/lib/spring-xml-1.5.4.jar
      /src/main/webapp/WEB-INF/lib/wsdl4j.jar
      Last edited by manoj_reddy; May 17th, 2011, 07:28 AM.

      Comment


      • #4
        Hijacking threads isn't really nice... Please read the previous post (use maven or ant/ivy to manage your dependencies).

        /src/main/webapp/WEB-INF/lib/activation.jar
        /src/main/webapp/WEB-INF/lib/annotations-api-6.0.20.jar
        /src/main/webapp/WEB-INF/lib/apache-axiom-dom-1.2.7.jar
        /src/main/webapp/WEB-INF/lib/axis.jar
        /src/main/webapp/WEB-INF/lib/axis2-1.0.jar

        /src/main/webapp/WEB-INF/lib/castor-1.0.jar
        /src/main/webapp/WEB-INF/lib/commons-discovery-0.2.jar
        /src/main/webapp/WEB-INF/lib/commons-httpclient-2.0.1.jar
        /src/main/webapp/WEB-INF/lib/commons-httpclient-3.0.1.jar
        /src/main/webapp/WEB-INF/lib/commons-logging.jar
        /src/main/webapp/WEB-INF/lib/jaxb-api-2.1-osgi.jar
        /src/main/webapp/WEB-INF/lib/jaxb-xjc-2.1.9-osgi.jar
        /src/main/webapp/WEB-INF/lib/jaxrpc.jar
        /src/main/webapp/WEB-INF/lib/log4j-1.2.9.jar
        /src/main/webapp/WEB-INF/lib/saaj.jar
        /src/main/webapp/WEB-INF/lib/servlet-2.3.jar
        /src/main/webapp/WEB-INF/lib/spring-2.0-m2.jar
        /src/main/webapp/WEB-INF/lib/spring-2.5.6.jar
        /src/main/webapp/WEB-INF/lib/spring-integration-core-1.0.2.RELEASE.jar
        /src/main/webapp/WEB-INF/lib/spring-integration-core-1.0.3.RELEASE-sources.jar
        /src/main/webapp/WEB-INF/lib/spring-integration-core-2.0.3.RELEASE.jar

        /src/main/webapp/WEB-INF/lib/spring-integration-stream-2.0.3.RELEASE.jar
        /src/main/webapp/WEB-INF/lib/spring-integration-ws-2.0.3.RELEASE.jar
        /src/main/webapp/WEB-INF/lib/spring-oxm-tiger-1.0-m2.jar
        /src/main/webapp/WEB-INF/lib/spring-ws-core-1.5.8.jar
        /src/main/webapp/WEB-INF/lib/spring-xml-1.5.4.jar

        /src/main/webapp/WEB-INF/lib/wsdl4j.jar

        Which version you want to use depends up to you, but as I already stated use something to manage your dependencies instead of trying to figure it out yourself.

        Comment


        • #5
          BeanDefinitionParser error

          hi marten, thanks for your quick reply..
          I have resolved my errors now..
          I was facing the version conflict only as pointed out by you..



          thanks,
          paary

          Comment

          Working...
          X